%define upstream_name    Proc-FastSpawn
%define upstream_version 1.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Fork+exec, or spawn, a subprocess as quickly as possible
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
The purpose of this small (in scope and footprint) module is simple: spawn
a subprocess asynchronously as efficiently and/or fast as possible.
Basically the same as calling fork+exec (on POSIX), but hopefully faster
than those two syscalls.

Apart from fork overhead, this module also allows you to fork+exec programs
when otherwise you couldn't - for example, when you use POSIX threads in
your perl process then it generally isn't safe to call fork from perl, but
it is safe to use this module to execute external processes.

If neither of these are problems for you, you can safely ignore this
module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml README COPYING
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.200.0-15.mga10
+ Revision: 2088205
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 1.200.0-14.mga10
+ Revision: 2010604
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.200.0-13.mga9
+ Revision: 1862325
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.200.0-12.mga9
+ Revision: 1796016
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.200.0-11.mga9
+ Revision: 1727041
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.200.0-10.mga8
+ Revision: 1595145
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.200.0-9.mga8
+ Revision: 1530018
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.200.0-8.mga8
+ Revision: 1433881
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.200.0-7.mga7
+ Revision: 1293672
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.200.0-6.mga7
+ Revision: 1249876
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.200.0-5.mga7
+ Revision: 1166382
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.200.0-4.mga7
+ Revision: 1149112
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.200.0-3.mga7
+ Revision: 1127248
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-2.mga6
+ Revision: 1032698
- Rebuild for perl 5.22.2

* Thu Mar 03 2016 shlomif <shlomif> 1.200.0-1.mga6
+ Revision: 984781
- imported package perl-Proc-FastSpawn


* Thu Mar 03 2016 cpan2dist 1.2-1mga
- initial mageia release, generated with cpan2dist
